aboutsummaryrefslogtreecommitdiff
path: root/scripts/bin
diff options
context:
space:
mode:
authorAkshay Nair <phenax5@gmail.com>2025-05-20 19:54:23 +0530
committerAkshay Nair <phenax5@gmail.com>2025-05-20 19:54:23 +0530
commit6e7472e2de4addc7628e3055f1754382d46cd45d (patch)
tree77f15edc910363893916d76c588598dd25a24b9d /scripts/bin
parentbbf484a0965330aa729c9861d0385d0fccbb4da5 (diff)
downloadnixos-config-6e7472e2de4addc7628e3055f1754382d46cd45d.tar.gz
nixos-config-6e7472e2de4addc7628e3055f1754382d46cd45d.zip
Add ed and fluidsynth
Diffstat (limited to '')
-rwxr-xr-xscripts/bin/ned6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/bin/ned b/scripts/bin/ned
new file mode 100755
index 0000000..7ebd8b1
--- /dev/null
+++ b/scripts/bin/ned
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+rlwrap -A --complete-filenames -D 2 \
+ -H ~/.local/state/.ned_history \
+ --only-cook "::ed::" -p'1;35' -R \
+ ed -v -p "::ed:: " -E "$@" || true;